package com.emr.service.ipml;

import com.emr.dao.Emr_Staff_RemarkMapper;
import com.emr.entity.Emr_Staff_Remark;
import com.emr.service.Emr_Staff_RemarkService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class Emr_Staff_RemarkServiceImpl implements Emr_Staff_RemarkService {

    @Autowired
    private Emr_Staff_RemarkMapper emrStaffRemarkMapper;

    @Override
    public List<Emr_Staff_Remark> selectByCol(Emr_Staff_Remark record) {
        return emrStaffRemarkMapper.selectByCol(record);
    }

    @Override
    public int updateByClo(Emr_Staff_Remark record) {
        return emrStaffRemarkMapper.updateByClo(record);
    }

    @Override
    public int insertClo(Emr_Staff_Remark record) {
        return emrStaffRemarkMapper.insertClo(record);
    }

    @Override
    public int delById(Integer id) {
        return emrStaffRemarkMapper.delById(id);
    }

    @Override
    public Emr_Staff_Remark selectById(Integer id) {
        return emrStaffRemarkMapper.selectById(id);
    }
}
